osgTerrain::GeometryPool::GeometryKey Struct Reference

`#include <GeometryPool>`

## Public Member Functions

| GeometryKey ()
bool | operator< (const GeometryKey &rhs) const

## Public Attributes

double | sx
double | sy
double | y
int | nx
int | ny

## Constructor & Destructor Documentation

## GeometryKey()

osgTerrain::GeometryPool::GeometryKey::GeometryKey | ( |  | ) |

inline

References nx, ny, sx, sy, and y.

Referenced by operator<().

## Member Function Documentation

## operator<()

bool osgTerrain::GeometryPool::GeometryKey::operator< | ( | const GeometryKey & | rhs | ) | const

inline

References GeometryKey(), nx, ny, sx, and y.

## Member Data Documentation

## nx

int osgTerrain::GeometryPool::GeometryKey::nx

Referenced by GeometryKey(), and operator<().

## ny

int osgTerrain::GeometryPool::GeometryKey::ny

Referenced by GeometryKey(), and operator<().

## sx

double osgTerrain::GeometryPool::GeometryKey::sx

Referenced by GeometryKey(), and operator<().

## sy

double osgTerrain::GeometryPool::GeometryKey::sy

Referenced by GeometryKey().

## y

double osgTerrain::GeometryPool::GeometryKey::y

Referenced by GeometryKey(), and operator<().

The documentation for this struct was generated from the following file:

- GeometryPool